[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogBaseButtonItem.Caption

Caption text displayed on the button surface.

## Declaration

Source position: dialogs.pp line 647

`published property TTaskDialogBaseButtonItem.Caption : TTranslateString read FCaption write SetCaption;`

## Description

Caption is a TTranslateString property with the caption text displayed on the button surface. It can be localized using the built-in translation facilities available in the LCL. When assigned, Caption also provides the DisplayName for the collection item in the object inspector.

## See also

TCollectionItem.DisplayName